---
title: json
type: processor
status: deprecated
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/processor/json.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::warning DEPRECATED
This component is deprecated and will be removed in the next major version release. Please consider moving onto [alternative components](#alternatives).
:::


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yaml
# Common config fields, showing default values
label: ""
json:
  operator: clean
  path: ""
  value: ""
```

</TabItem>
<TabItem value="advanced">

```yaml
# All config fields, showing default values
label: ""
json:
  operator: clean
  path: ""
  value: ""
  parts: []
```

</TabItem>
</Tabs>

## Fields

### `operator`

The [operator](#operators) to apply to messages.


Type: `string`  
Default: `"clean"`  
Options: `append`, `clean`, `copy`, `delete`, `explode`, `flatten`, `flatten_array`, `fold_number_array`, `fold_string_array`, `move`, `select`, `set`, `split`.

### `path`

A [dot path](/docs/configuration/field_paths) specifying the target within the document to the apply the chosen operator to.


Type: `string`  
Default: `""`  

```yaml
# Examples

path: foo.bar

path: .

path: some_array.0.id
```

### `value`

A value to use with the chosen operator (sometimes not applicable). This is a generic field that can be any type.


Type: `string`  
Default: `""`  

```yaml
# Examples

value: foo

value: ${!metadata:kafka_key}

value: false

value: 10

value:
  key: ${!metadata:kafka_key}
  topic: ${!metadata:kafka_topic}
```

### `parts`

An optional array of message indexes of a batch that the processor should apply to.
If left empty all messages are processed. This field is only applicable when
batching messages [at the input level](/docs/configuration/batching).

Indexes can be negative, and if so the part will be selected from the end
counting backwards starting from -1.


Type: `array`  
Default: `[]`  

## Alternatives

All functionality of this processor has been superseded by the
[bloblang](/docs/components/processors/bloblang) processor.

